PLplot: PLmDev Struct Reference

PLplot 5.15.0

Public Attributes | List of all members
PLmDev Struct Reference

`#include "metadefs.h"`

## Public Attributes
PLFLT | pxlx
PLFLT | pxly
PLINT | xold
PLINT | yold
PLINT | xmin
PLINT | xmax
PLINT | xlen
PLINT | ymin
PLINT | ymax
PLINT | ylen
FPOS_T | index_offset
FPOS_T | lp_offset
int | notfirst
PLINT | version
U_SHORT | page
PLFLT | mfpcxa
PLFLT | mfpcxb
PLFLT | mfpcya
PLFLT | mfpcyb
void * | buffer
size_t | buffer_size

## Detailed Description

Definition at line 86 of file metadefs.h.

## Member Data Documentation

## ◆ buffer

void* PLmDev::buffer

Definition at line 108 of file metadefs.h.

## ◆ buffer_size

size_t PLmDev::buffer_size

Definition at line 109 of file metadefs.h.

## ◆ index_offset

FPOS_T PLmDev::index_offset

Definition at line 94 of file metadefs.h.

## ◆ lp_offset

FPOS_T PLmDev::lp_offset

Definition at line 95 of file metadefs.h.

## ◆ mfpcxa

PLFLT PLmDev::mfpcxa

Definition at line 104 of file metadefs.h.

## ◆ mfpcxb

PLFLT PLmDev::mfpcxb

Definition at line 104 of file metadefs.h.

## ◆ mfpcya

PLFLT PLmDev::mfpcya

Definition at line 105 of file metadefs.h.

## ◆ mfpcyb

PLFLT PLmDev::mfpcyb

Definition at line 105 of file metadefs.h.

## ◆ notfirst

int PLmDev::notfirst

Definition at line 97 of file metadefs.h.

## ◆ page

U_SHORT PLmDev::page

Definition at line 100 of file metadefs.h.

## ◆ pxlx

PLFLT PLmDev::pxlx

Definition at line 88 of file metadefs.h.

## ◆ pxly

PLFLT PLmDev::pxly

Definition at line 88 of file metadefs.h.

## ◆ version

PLINT PLmDev::version

Definition at line 99 of file metadefs.h.

## ◆ xlen

PLINT PLmDev::xlen

Definition at line 91 of file metadefs.h.

## ◆ xmax

PLINT PLmDev::xmax

Definition at line 91 of file metadefs.h.

## ◆ xmin

PLINT PLmDev::xmin

Definition at line 91 of file metadefs.h.

## ◆ xold

PLINT PLmDev::xold

Definition at line 89 of file metadefs.h.

## ◆ ylen

PLINT PLmDev::ylen

Definition at line 92 of file metadefs.h.

## ◆ ymax

PLINT PLmDev::ymax

Definition at line 92 of file metadefs.h.

## ◆ ymin

PLINT PLmDev::ymin

Definition at line 92 of file metadefs.h.

## ◆ yold

PLINT PLmDev::yold

Definition at line 89 of file metadefs.h.

The documentation for this struct was generated from the following file:

- metadefs.h